Bug 428669

Summary: KCM shows old user picture after saving new picture
Product: systemsettings Reporter: Guo Yunhe <i>
Component: kcm_usersAssignee: Jan Blackquill <uhhadd>
Status: RESOLVED FIXED    
Severity: normal CC: nate, plasma-bugs
Priority: NOR Keywords: regression
Version: 5.20.2   
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In: 5.21

Description Guo Yunhe 2020-11-04 01:10:52 UTC
SUMMARY


STEPS TO REPRODUCE
1. Open System Settings > Users.
2. Choose a local picture A as your user picture.
3. Save.
4. Choose a local picture B as your user picture.
5. Save.

OBSERVED RESULT
After second saving, the KCM shows picture A, instead of picture B.

EXPECTED RESULT
After second saving, the KCM should show picture B.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20201030
KDE Plasma Version: 5.20.2
KDE Frameworks Version: 5.75.0
Qt Version: 5.15.1
Kernel Version: 5.9.1-1-default
OS Type: 64-bit
Processors: 8 × Intel® Core™ i7-8550U CPU @ 1.80GHz
Memory: 31.1 GiB of RAM
Graphics Processor: Mesa DRI Intel® UHD Graphics 620
ADDITIONAL INFORMATION
Comment 1 Guo Yunhe 2020-11-04 01:28:44 UTC
It could be fixed if we disable cache of Kirigami.Avatar https://invent.kde.org/frameworks/kirigami/-/merge_requests/148
Comment 2 Bug Janitor Service 2020-11-04 01:41:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/210
Comment 3 Guo Yunhe 2020-12-11 14:12:17 UTC
Git commit 519838e9173ebaae15d3de0cc0f903991bf61d05 by Guo Yunhe.
Committed on 11/12/2020 at 11:18.
Pushed by ngraham into branch 'master'.

[kcms/users] Disable avatar cache

User picture path doesn't change after updating. If cache is enabled,
KCM will show the old picture until the cache expire.

Depends on
https://invent.kde.org/frameworks/kirigami/-/merge_requests/148
FIXED-IN: 5.21

M  +1    -0    kcms/users/package/contents/ui/UserDetailsPage.qml
M  +13   -1    kcms/users/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/519838e9173ebaae15d3de0cc0f903991bf61d05